package com.ruoyi.system.domain;

import io.swagger.v3.oas.annotations.media.Schema;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 流量计算结果对象 ng_meterresult
 * 
 * @author ruoyi
 * @date 2025-03-21
 */
@Schema(description = "流量计算结果对象")
public class NgMeterresult extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    /** ID */
    @Schema(title = "ID")
    private String id;

    /** 创建人名称 */
    @Schema(title = "创建人名称")
    @Excel(name = "创建人名称")
    private String createName;

    /** 更新人名称 */
    @Schema(title = "更新人名称")
    @Excel(name = "更新人名称")
    private String updateName;

    /** 流量计编号 */
    @Schema(title = "流量计编号")
    @Excel(name = "流量计编号")
    private String ybbh;

    /** 求渐近速度系数 E */
    @Schema(title = "求渐近速度系数 E")
    @Excel(name = "求渐近速度系数 E")
    private String dE;

    /** 求相对密度系数 FG */
    @Schema(title = "求相对密度系数 FG")
    @Excel(name = "求相对密度系数 FG")
    private String dFG;

    /** 求流动温度系数 FT */
    @Schema(title = "求流动温度系数 FT")
    @Excel(name = "求流动温度系数 FT")
    private String dFT;

    /** 求动力粘度dlnd */
    @Schema(title = "求动力粘度dlnd")
    @Excel(name = "求动力粘度dlnd")
    private String dDViscosity;

    /** 求可膨胀系数 */
    @Schema(title = "求可膨胀系数")
    @Excel(name = "求可膨胀系数")
    private String dDExpCoefficient;

    /** 管道雷诺数 */
    @Schema(title = "管道雷诺数")
    @Excel(name = "管道雷诺数")
    private String dRnPipe;

    /** 孔板锐利度系数Bk */
    @Schema(title = "孔板锐利度系数Bk")
    @Excel(name = "孔板锐利度系数Bk")
    private String dBk;

    /** 管道粗糙度系数 Gme */
    @Schema(title = "管道粗糙度系数 Gme")
    @Excel(name = "管道粗糙度系数 Gme")
    private String dRoughNessPipe;

    /** 修正后的流出系数 */
    @Schema(title = "修正后的流出系数")
    @Excel(name = "修正后的流出系数")
    private String dCdCorrect;

    /** 喷嘴的流出系数 */
    @Schema(title = "喷嘴的流出系数")
    @Excel(name = "喷嘴的流出系数")
    private String dCdNozell;

    /** 标况体积流量m³/s */
    @Schema(title = "标况体积流量m³/s")
    @Excel(name = "标况体积流量m³/s")
    private String dVFlowb;

    /** 工况体积流量 */
    @Schema(title = "工况体积流量")
    @Excel(name = "工况体积流量")
    private String dVFlowf;

    /** 标况质量流量 */
    @Schema(title = "标况质量流量")
    @Excel(name = "标况质量流量")
    private String dMFlowb;

    /** 标况能量流量 */
    @Schema(title = "标况能量流量")
    @Excel(name = "标况能量流量")
    private String dEFlowb;

    /** 管道内天然气流速 */
    @Schema(title = "管道内天然气流速")
    @Excel(name = "管道内天然气流速")
    private String dVelocityFlow;

    /** 压力损失 */
    @Schema(title = "压力损失")
    @Excel(name = "压力损失")
    private String dPressLost;

    /** 直径比 */
    @Schema(title = "直径比")
    @Excel(name = "直径比")
    private String dBeta;

    /** 等熵指数 */
    @Schema(title = "等熵指数")
    @Excel(name = "等熵指数")
    private String dKappa;

    /** 取样编号 */
    @Schema(title = "取样编号")
    @Excel(name = "取样编号")
    private String sampleno;

    /** 仪表编号 */
    @Schema(title = "仪表编号")
    @Excel(name = "仪表编号")
    private String meterno;

    /** 租户ID */
    @Schema(title = "租户ID")
    @Excel(name = "租户ID")
    private Long tenantId;
    public void setId(String id) 
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }


    public void setCreateName(String createName) 
    {
        this.createName = createName;
    }

    public String getCreateName() 
    {
        return createName;
    }


    public void setUpdateName(String updateName) 
    {
        this.updateName = updateName;
    }

    public String getUpdateName() 
    {
        return updateName;
    }


    public void setYbbh(String ybbh) 
    {
        this.ybbh = ybbh;
    }

    public String getYbbh() 
    {
        return ybbh;
    }


    public void setDE(String dE) 
    {
        this.dE = dE;
    }

    public String getDE() 
    {
        return dE;
    }


    public void setdFG(String dFG) 
    {
        this.dFG = dFG;
    }

    public String getdFG() 
    {
        return dFG;
    }


    public void setdFT(String dFT) 
    {
        this.dFT = dFT;
    }

    public String getdFT() 
    {
        return dFT;
    }


    public void setdDViscosity(String dDViscosity) 
    {
        this.dDViscosity = dDViscosity;
    }

    public String getdDViscosity() 
    {
        return dDViscosity;
    }


    public void setdDExpCoefficient(String dDExpCoefficient) 
    {
        this.dDExpCoefficient = dDExpCoefficient;
    }

    public String getdDExpCoefficient() 
    {
        return dDExpCoefficient;
    }


    public void setdRnPipe(String dRnPipe) 
    {
        this.dRnPipe = dRnPipe;
    }

    public String getdRnPipe() 
    {
        return dRnPipe;
    }


    public void setdBk(String dBk) 
    {
        this.dBk = dBk;
    }

    public String getdBk() 
    {
        return dBk;
    }


    public void setdRoughNessPipe(String dRoughNessPipe) 
    {
        this.dRoughNessPipe = dRoughNessPipe;
    }

    public String getdRoughNessPipe() 
    {
        return dRoughNessPipe;
    }


    public void setdCdCorrect(String dCdCorrect) 
    {
        this.dCdCorrect = dCdCorrect;
    }

    public String getdCdCorrect() 
    {
        return dCdCorrect;
    }


    public void setdCdNozell(String dCdNozell) 
    {
        this.dCdNozell = dCdNozell;
    }

    public String getdCdNozell() 
    {
        return dCdNozell;
    }


    public void setdVFlowb(String dVFlowb) 
    {
        this.dVFlowb = dVFlowb;
    }

    public String getdVFlowb() 
    {
        return dVFlowb;
    }


    public void setdVFlowf(String dVFlowf) 
    {
        this.dVFlowf = dVFlowf;
    }

    public String getdVFlowf() 
    {
        return dVFlowf;
    }


    public void setdMFlowb(String dMFlowb) 
    {
        this.dMFlowb = dMFlowb;
    }

    public String getdMFlowb() 
    {
        return dMFlowb;
    }


    public void setdEFlowb(String dEFlowb) 
    {
        this.dEFlowb = dEFlowb;
    }

    public String getdEFlowb() 
    {
        return dEFlowb;
    }


    public void setdVelocityFlow(String dVelocityFlow) 
    {
        this.dVelocityFlow = dVelocityFlow;
    }

    public String getdVelocityFlow() 
    {
        return dVelocityFlow;
    }


    public void setdPressLost(String dPressLost) 
    {
        this.dPressLost = dPressLost;
    }

    public String getdPressLost() 
    {
        return dPressLost;
    }


    public void setdBeta(String dBeta) 
    {
        this.dBeta = dBeta;
    }

    public String getdBeta() 
    {
        return dBeta;
    }


    public void setdKappa(String dKappa) 
    {
        this.dKappa = dKappa;
    }

    public String getdKappa() 
    {
        return dKappa;
    }


    public void setSampleno(String sampleno) 
    {
        this.sampleno = sampleno;
    }

    public String getSampleno() 
    {
        return sampleno;
    }


    public void setMeterno(String meterno) 
    {
        this.meterno = meterno;
    }

    public String getMeterno() 
    {
        return meterno;
    }


    public void setTenantId(Long tenantId) 
    {
        this.tenantId = tenantId;
    }

    public Long getTenantId() 
    {
        return tenantId;
    }



    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("createName", getCreateName())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateName", getUpdateName())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("ybbh", getYbbh())
            .append("dE", getDE())
            .append("dFG", getdFG())
            .append("dFT", getdFT())
            .append("dDViscosity", getdDViscosity())
            .append("dDExpCoefficient", getdDExpCoefficient())
            .append("dRnPipe", getdRnPipe())
            .append("dBk", getdBk())
            .append("dRoughNessPipe", getdRoughNessPipe())
            .append("dCdCorrect", getdCdCorrect())
            .append("dCdNozell", getdCdNozell())
            .append("dVFlowb", getdVFlowb())
            .append("dVFlowf", getdVFlowf())
            .append("dMFlowb", getdMFlowb())
            .append("dEFlowb", getdEFlowb())
            .append("dVelocityFlow", getdVelocityFlow())
            .append("dPressLost", getdPressLost())
            .append("dBeta", getdBeta())
            .append("dKappa", getdKappa())
            .append("sampleno", getSampleno())
            .append("meterno", getMeterno())
            .append("tenantId", getTenantId())
            .toString();
    }
}
